Skala
Work order materials

Create a new work order material

Adds a new work order material record to the database.

POST
/api/work_order_materials

Adds a new work order material record to the database.

AuthorizationBearer <token>

In: header

Request Body

application/json

The new WorkOrderMaterial resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.skalasuite.com/api/work_order_materials" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "variant": "/entity/1",
  "notes": "string",
  "plannedQuantity": "string",
  "cost": "string",
  "status": "string",
  "expectedDate": "2019-08-24T14:15:22Z",
  "workOrder": "/entity/1",
  "totalQuantity": "string",
  "wastage": "string",
  "batches": [
    "/entity/1"
  ],
  "logs": [
    "/entity/1"
  ],
  "actualQuantity": "string",
  "serialNumbers": [
    "/entity/1"
  ],
  "materialUnitCost": "string",
  "consumedQuantity": "string",
  "company": "/entity/1",
  "createdBy": "/entity/1",
  "updatedBy": "/entity/1",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z"
}
Empty
Empty